Last Comment Bug 1110799 - [tracker][infra] Move MDN from SCL3 to AWS
: [tracker][infra] Move MDN from SCL3 to AWS
Status: RESOLVED FIXED
: meta
Product: developer.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: x86 Mac OS X
-- normal (vote)
: ---
Assigned To: John Whitlock [:jwhitlock]
:
:
Mentors:
https://etherpad.mozilla.org/mdn-clou...
Depends on: 1110800 1110805 1110807 1119433 1218563 1223109 1223122 1225574 1391084 1402708
Blocks: 1268254 1020491 1259503 1405519
  Show dependency treegraph
 
Reported: 2014-12-12 06:52 PST by Luke Crouch [:groovecoder]
Modified: 2017-12-06 15:04 PST (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Luke Crouch [:groovecoder] 2014-12-12 06:52:46 PST
https://etherpad.mozilla.org/mdn-cloud-infra-2015
Comment 1 User image John Whitlock [:jwhitlock] 2017-09-22 15:17:12 PDT
There's been a lot of work on the migration to Kubernetes (k8s) under the MozMEAO SRE team.  Dependencies in Bugzilla are out of date. Some migration strategies have changed, and some actions will be deferred to post-migration. I'll update over the next week.

The AWS migration project is tracked at:

https://github.com/mozmeao/infra/projects/4
Comment 2 User image [github robot] 2017-09-28 13:07:32 PDT
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/1979fe828a367917ceb5dd156ed62655c4d71b0f
bug 1110799: Add newrelic config file

This is the default config, with some settings expected from the
environment:

* NEW_RELIC_LICENSE_KEY for license_key
* NEW_RELIC_APP_NAME for app_name
* NEW_RELIC_MONITOR_MODE for monitor_mode (1 to talk to NR)

The changes from the default:

* log_file = stderr
* high_security = true (Mozilla standard)
* browser_monitoring.enabled = false (added, Mozilla standard)
* browser_monitoring.auto_instrument = false (Mozilla standard)

https://github.com/mozilla/kuma/commit/e869bacc510957659d0abe5c3b623ba842401cb8
Merge pull request #4447 from jwhitlock/newrelic-1110799

bug 1110799: Add New Relic config
Comment 3 User image [github robot] 2017-09-28 13:41:18 PDT
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/b07501fb9441f96056dc2703e2a61b8db5266780
bug 1110799: Expand raven/sentry configuration

* Send the revision hash, for release tracking
* Set a syncronous transport, which may be more compatible with meinheld
* Set the repos name, which may make tracebacks more useful
* Ignore DisallowedHost exceptions, which happen in AWS

https://github.com/mozilla/kuma/commit/c7b8ea91fe09d93df4fcd8ad6192496c4b412839
Merge pull request #4445 from jwhitlock/raven-1110799

bug 1110799: Update raven, expand configuration
Comment 4 User image [github robot] 2017-09-29 10:37:27 PDT
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/20b3afda67606000d52524d9ae4f639a4335e6f7
bug 1110799: Don't set repos in RAVEN_CONFIG

More research is needed to determine what this should be set to.

https://github.com/mozilla/kuma/commit/de455a8ba8b4e53e608c611b3d3e064e154b5c8c
Merge pull request #4448 from jwhitlock/raven2-1110799

bug 1110799: Don't set repos in RAVEN_CONFIG
Comment 5 User image John Whitlock [:jwhitlock] 2017-10-05 10:35:07 PDT
The AWS migration is planned for October 10, 9:30 AM to 1:30 PM PST (4:30 PM - 8:30 PM UTC)
Comment 6 User image John Whitlock [:jwhitlock] 2017-10-12 16:30:39 PDT
The migration went smoothly, with one issue that was handled during the maintenance window [1].  We've been in AWS for 48 hours, and have added some resources to more smoothly handle some traffic spikes. There are many follow-on actions [2], but it looks like it will work.

We'd like to keep SCL3 up as an emergency backup for awhile, but it looks like we're in AWS for good.

Thanks to everyone who worked on the first phase of this project. Etherpad is having trouble staying available, so I made a copy of the original plan [3]. It was a lot more ambitious, both in schedule (Q3 2015) and in scope. Hopefully we can return to implement some of the ideas.

[1] https://github.com/mozmeao/infra/issues/410#issuecomment-336236391
[2] https://github.com/mozmeao/infra/projects/5
[3] https://gist.github.com/jwhitlock/c9db443399607bc858dffbc5baebbe00
Comment 7 User image [github robot] 2017-12-06 15:04:46 PST
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/82fa693d3ec43cec1de3c1199494965e108721dd
bug 1110799: redirect legacy domains

https://github.com/mozilla/kuma/commit/21953192b56795ad33582d402eed2119ce36ed5f
Merge pull request #4589 from escattone/redirect-legacy-domains-1110799

bug 1110799: redirect legacy domains

Note You need to log in before you can comment on or make changes to this bug.